AWS Amplify API
AWS Amplify Home
Options
All

- Public
- Public/Protected
- All

Inherited Externals Only exported
Menu

### Hierarchy

- Credentials

## Index

### Constructors

- constructor

### Methods

- clear
- configure
- get
- getCredSource
- refreshFederatedToken
- set
- shear

## Constructors

### constructor

- new Credentials(config: any): Credentials

- - Defined in core/src/Credentials.ts:19

  #### Parameters

  - ##### config: any

  #### Returns Credentials

## Methods

### clear

- clear(): Promise<void>

- - Defined in core/src/Credentials.ts:362

  #### Returns Promise<void>

### configure

- configure(config: any): any

- - Defined in core/src/Credentials.ts:31

  #### Parameters

  - ##### config: any

  #### Returns any

### get

- get(): any

- - Defined in core/src/Credentials.ts:55

  #### Returns any

### getCredSource

- getCredSource(): any

- - Defined in core/src/Credentials.ts:27

  #### Returns any

### refreshFederatedToken

- refreshFederatedToken(federatedInfo: any): any

- - Defined in core/src/Credentials.ts:92

  #### Parameters

  - ##### federatedInfo: any

  #### Returns any

### set

- set(params: any, source: any): Promise<ICredentials>

- - Defined in core/src/Credentials.ts:349

  #### Parameters

  - ##### params: any

  - ##### source: any

  #### Returns Promise<ICredentials>

### shear

- shear(credentials: any): object

- - Defined in core/src/Credentials.ts:392

  Compact version of credentials

  #### Parameters

  - ##### credentials: any

  #### Returns object

  - Credentials

  - ##### accessKeyId: any

  - ##### authenticated: any

  - ##### identityId: any

  - ##### secretAccessKey: any

  - ##### sessionToken: any